%global momorel 2

%define relver	2

Name:		ebtables
Version:	2.0.9
Release:	%{momorel}m%{?dist}
Summary:	Ethernet Bridge frame table administration tool
License:	GPL
Group:		System Environment/Base
URL:		http://ebtables.sourceforge.net/
Source0:	http://dl.sourceforge.net/sourceforge/%{name}/%{name}-v%{version}-%{relver}.tar.gz
NoSource:       0
Source1:	ebtables.sysv
Patch0:         %{name}-v%{version}-%{relver}-include.patch
BuildRequires:	binutils >= 2.18
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post): chkconfig
Requires(preun): initscripts chkconfig
Requires(postun): initscripts

%description
Ethernet bridge tables is a firewalling tool to transparently filter network
traffic passing a bridge. The filtering possibilities are limited to link
layer filtering and some basic filtering on higher network layers.

This tool is the userspace control for the bridge and ebtables kernel
components (built by default in Fedora Core kernels).

The ebtables tool can be used together with the other Linux filtering tools,
like iptables. There are no known incompatibility issues.

%prep
%setup -q -n ebtables-v%{version}-%{relver}
%patch0 -p1 -b .include

# for i in netfilter_bridge.h if_ether.h 

%build
MY_CFLAGS=`echo $RPM_OPT_FLAGS -fPIC | sed -e 's/-fstack-protector//g'`
make KERNEL_INCLUDES=%{_includedir} %{?_smp_mflags} CFLAGS="$MY_CFLAGS"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}
install -m0755 extensions/*.so %{buildroot}%{_libdir}
install -m0755 *.so %{buildroot}%{_libdir}
install -D -m0755 ebtables %{buildroot}/sbin/ebtables
install -D -m0755 %{SOURCE1} %{buildroot}%{_initscriptdir}/ebtables
install -D -m0644 ethertypes %{buildroot}%{_sysconfdir}/ethertypes
install -D -m0644 ebtables.8 %{buildroot}%{_mandir}/man8/ebtables.8
touch %{buildroot}%{_sysconfdir}/ebtables.filter
touch %{buildroot}%{_sysconfdir}/ebtables.nat
touch %{buildroot}%{_sysconfdir}/ebtables.broute

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add ebtables
/sbin/ldconfig

%preun
if [ $1 -eq 0 ]; then
	/sbin/service ebtables stop &>/dev/null || :
	/sbin/chkconfig --del ebtables
fi

%postun
if [ $1 -ge 1 ]; then
	/sbin/service ebtables condrestart &> /dev/null || :
fi
/sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc ChangeLog COPYING THANKS
%doc %{_mandir}/man8/ebtables.8*
%config(noreplace) %{_sysconfdir}/ethertypes
%{_initscriptdir}/ebtables
%{_libdir}/libebt*.so
/sbin/ebtables
%ghost %{_sysconfdir}/ebtables.filter
%ghost %{_sysconfdir}/ebtables.nat
%ghost %{_sysconfdir}/ebtables.broute

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.9-2m)
- full rebuild for mo7 release

* Thu Aug  5 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.9-1m)
- update to 2.0.9-2

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.8-0.2.7m)
- use Requires

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.8-0.2.6m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.8-0.2.5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.8-0.2.4m)
- rebuild against gcc43

* Sun Sep  9 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.0.8-0.2.3m)
- add ebtables-2.0.8-buildid.patch
-- add BuildRequires: binutils >= 2.18
- remove unused patches

* Mon Jul 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.8-0.2.2m)
- move start up script from %%{_initrddir} to %%{_initscriptdir}

* Sun Jul 30 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.8-0.2.1m)
- version up 2.0.8-rc2

* Tue Nov  8 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.6-3m)
- add gcc4 patch
- Patch2: ebtables-2.0.6-gcc4.patch

* Tue Oct 19 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.6-2m)
- add Patch1: ebtables-v2.0.6-gcc34.patch
  reported by Hiromasa YOSHIMOTO [Momonga-devel.ja:02823] 

* Tue Dec 16 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.0.6-1m)
- update to 2.0.6

* Tue Dec 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.5-2m)
- modify Makefile.

* Wed Sep 10 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.0.5-1m)
- write spec for momonga
- ebtables is 
